<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***** altが設定されていない画像へ投稿タイトルとサイトタイトルを自動設定する *****/
function haup_auto_alt_filter($html) {
	global $post;
		$post_title = get_the_title();
		$site_title = get_bloginfo( 'name' );
		$html = preg_replace('|alt=""|U', '$1 alt="'.esc_attr($post_title).'|'.esc_attr($site_title).'"', $html);
	return $html;
}
add_filter('the_content', 'haup_auto_alt_filter');